Bug 1275667 - NPE when trying to show nonexisting group via group-manage command
NPE when trying to show nonexisting group via group-manage command
Status: CLOSED CURRENTRELEASE
Product: ovirt-engine-extension-aaa-jdbc
Classification: oVirt
Component: Core (Show other bugs)
1.0.1
Unspecified Unspecified
unspecified Severity unspecified (vote)
: ovirt-3.6.1
: 1.0.2
Assigned To: Martin Perina
Ondra Machacek
infra
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-10-27 09:15 EDT by Ondra Machacek
Modified: 2016-02-10 14:07 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-12-16 07:19:25 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Infra
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
rule-engine: ovirt‑3.6.z+
mgoldboi: planning_ack+
rule-engine: devel_ack+
pstehlik: testing_ack+


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
oVirt gerrit 47778 master MERGED cli: group-manage: fix of show nonexisting group Never
oVirt gerrit 47783 ovirt-engine-extension-aaa-jdbc-1.0 MERGED cli: group-manage: fix of show nonexisting group Never

  None (edit)
Description Ondra Machacek 2015-10-27 09:15:37 EDT
Description of problem:


Version-Release number of selected component (if applicable):
ovirt-engine-extension-aaa-jdbc-1.0.1-1.el6ev.noarch

How reproducible:
always

Steps to Reproduce:
1. ovirt-aaa-jdbc-tool group-manage show nonexistinggroup

Actual results:
Oct 27, 2015 2:14:59 PM org.ovirt.engine.extension.aaa.jdbc.binding.cli.Cli main
SEVERE: Unexpected Exception invoking Cli: null

Expected results:
group nonexistinggroup not found

Additional info:
Comment 1 Martin Perina 2015-10-27 09:54:19 EDT
Fix will be contained in ovirt-engine-extension-aaa-jdbc-1.0.2
Comment 2 Yaniv Lavi (Dary) 2015-10-29 08:55:10 EDT
In oVirt testing is done on single release by default. Therefore I'm removing the 4.0 flag. If you think this bug must be tested in 4.0 as well, please re-add the flag. Please note we might not have testing resources to handle the 4.0 clone.
Comment 3 Ondra Machacek 2015-11-26 04:02:30 EST
[root@om-ovirt36 ~]# rpm -q ovirt-engine-extension-aaa-jdbc
ovirt-engine-extension-aaa-jdbc-1.0.3-1.el6ev.noarch
[root@om-ovirt36 ~]# ovirt-aaa-jdbc-tool group-manage show nonexistinggroup
group nonexistinggroup not found
Comment 4 Sandro Bonazzola 2015-12-16 07:19:25 EST
According to verification status and target milestone this issue should be fixed in oVirt 3.6.1. Closing current release.

Note You need to log in before you can comment on or make changes to this bug.